Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PDFACompliance Class Reference
Inheritance diagram for FoxitPDFSDKPython3.PDFACompliance:

## Public Member Functions
def | PDFACompliance ()
| Constructor.
def | PDFACompliance (other)
| Constructor, with another PDF/A compliance object. More...
def | ConvertPDFFile (src_pdf_path, saved_pdf_path, convert_to_version, view_or_print_condition, convert_problem_pages_into_image, convert_all_pages_into_image, image_resolution, progress_callback)
| Convert a PDF file with specified PDF/A version. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Verify (verify_version, src_pdf_path, first_page_index, last_page_index, progress_callback)
| Verify a PDF file with specified PDF/A version. More...

## Static Public Attributes
| e_VersionPDFA1a = _fsdk.PDFACompliance_e_VersionPDFA1a
| PDF/A-1a.
| e_VersionPDFA1b = _fsdk.PDFACompliance_e_VersionPDFA1b
| PDF/A-1b.
| e_VersionPDFA1bWithoutFBC = _fsdk.PDFACompliance_e_VersionPDFA1bWithoutFBC
| PDF/A-1b (without fallback conversion), just only for converting.
| e_VersionPDFA2a = _fsdk.PDFACompliance_e_VersionPDFA2a
| PDF/A-2a.
| e_VersionPDFA2b = _fsdk.PDFACompliance_e_VersionPDFA2b
| PDF/A-2b.
| e_VersionPDFA2bWithoutFBC = _fsdk.PDFACompliance_e_VersionPDFA2bWithoutFBC
| PDF/A-2b (without fallback conversion), just only for converting.
| e_VersionPDFA2u = _fsdk.PDFACompliance_e_VersionPDFA2u
| PDF/A-2u.
| e_VersionPDFA3a = _fsdk.PDFACompliance_e_VersionPDFA3a
| PDF/A-3a.
| e_VersionPDFA3b = _fsdk.PDFACompliance_e_VersionPDFA3b
| PDF/A-3b.
| e_VersionPDFA3bWithoutFBC = _fsdk.PDFACompliance_e_VersionPDFA3bWithoutFBC
| PDF/A-3b (without fallback conversion), just only for converting.
| e_VersionPDFA3u = _fsdk.PDFACompliance_e_VersionPDFA3u
| PDF/A-3u.

## Detailed Description

This class can be used for PDF/A compliance verification or converting a PDF file to a PDF/A format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Constructor & Destructor Documentation

## ◆ PDFACompliance()

def FoxitPDFSDKPython3.PDFACompliance.PDFACompliance | ( |  | other | ) |

Constructor, with another PDF/A compliance object.

Parameters

  [in] | other | Another PDF/A compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

def FoxitPDFSDKPython3.PDFACompliance.ConvertPDFFile | ( |  | src_pdf_path,
|  |  | saved_pdf_path,
|  |  | convert_to_version,
|  |  | view_or_print_condition,
|  |  | convert_problem_pages_into_image,
|  |  | convert_all_pages_into_image,
|  |  | image_resolution,
|  |  | progress_callback
| ) |  |

Convert a PDF file with specified PDF/A version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from FoxitPDFSDKPython3.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from FoxitPDFSDKPython3.ComplianceEngine.e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | image_resolution | Resolution (PPI) for converted images.Valid range: 60-1200. Only effective if convert_to_version is not FoxitPDFSDKPython3.PDFACompliance.e_VersionPDFA1a , FoxitPDFSDKPython3.PDFACompliance.e_VersionPDFA2a and FoxitPDFSDKPython3.PDFACompliance.e_VersionPDFA3a .
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from FoxitPDFSDKPython3.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.PDFACompliance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

def FoxitPDFSDKPython3.PDFACompliance.Verify | ( |  | verify_version,
|  |  | src_pdf_path,
|  |  | first_page_index,
|  |  | last_page_index,
|  |  | progress_callback
| ) |  |

Verify a PDF file with specified PDF/A version.

Parameters

  [in] | verify_version | PDF/A version to verify. Please refer to values starting from FoxitPDFSDKPython3.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.